/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.project.dto.env;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：系统环境被测系统信息
*
* createdate:  2023-10-06 16:09:05  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "系统环境被测系统信息")
public class CpProjectEnvSysQueryDto implements Serializable
{
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统id")
    @Size(max = 32, message="系统id-projectId: 数据长度不能 > 32" )
    private String projectId;
    /**
     * 环境id<br>
     */
    @ApiModelProperty("环境id")
    @Size(max = 32, message="环境id-envId: 数据长度不能 > 32" )
    private String envId;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }
}